./devel/p5-Params-Validate, Validate method/function parameters

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.29nb1, Package name: p5-Params-Validate-1.29nb1, Maintainer: pkgsrc-users

The Params::Validate module provides a flexible system for validation
method/function call parameters. The validation can be as simple
as checking for the presence of required parameters or as complex
as validating object classes (via isa) or capabilities (via can),
checking parameter types, and using customized callbacks to ensure
data integrity.


Required to run:
[lang/perl5] [devel/p5-Module-Implementation]

Required to build:
[devel/p5-File-Slurp] [devel/p5-Module-Build] [devel/p5-Test-Requires] [devel/p5-Test-Fatal] [pkgtools/cwrappers]

Master sites: (Expand)

SHA1: b980e633877f4744a05c3e05356caf58a4d28164
RMD160: 17a086d0928c6036e363992d81eacb90510b3594
Filesize: 134.384 KB

Version history: (Expand)


CVS history: (Expand)


   2018-08-22 11:48:07 by Thomas Klausner | Files touched by this commit (3558)
Log message:
Recursive bump for perl5-5.28.0
   2017-06-14 15:32:40 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated p5-Params-Validate to 1.29.

1.29    2017-06-11

- Fixes for MSVC compilation. Patch by Andy Grundman. PR #15.
   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2017-05-17 13:03:53 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated p5-Params-Validate to 1.28.

1.28    2017-05-05

- Removed the broken Makefile.PL that was accidentally being shipped with this
  distro since 1.26.
   2017-05-02 12:33:36 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated p5-Params-Validate to 1.27.

1.27    2017-04-29

- When more than one required parameters are missing, the list of missing
  parameters in the error message is sorted by name. Patch by E. Choroba. GH
  #14.
   2016-10-09 10:36:41 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated p5-Params-Validate to 1.26.

1.26    2016-10-06

- Reverted to Module::Build. The use of EUMM in 1.25 broke Windows builds.
   2016-09-30 13:09:00 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated p5-Params-Validate to 1.25.

1.25    2016-09-25

- Switched to Params::Validate.
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.